---
- name: Play to user lookup file
  hosts: localhost
  gather_facts: no
  vars_files:
    - ip_files.yml

  tasks:
    - name: Debug
      copy:
        content: "IPADDR={{ lookup('file', item)| regex_findall('\\b(?:[0-9]{1,3}\\.){3}[0-9]{1,3}\\b')|unique|join(',')|default('none', true ) }}"
        dest: "{{ '/opt/ipdir/' + item + '.ip' }}"
      loop: "{{ files }}"
      delegate_to: localhost
